1. Diese Seite verwendet Cookies. Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies. Weitere Informationen

Talk sc plugin unter yavdr installieren

Dieses Thema im Forum "CS VDR-SC" wurde erstellt von fritz0, 15. September 2011.

  1. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    Hallo,

    auch auf die Gefahr hin das das hier schon hundert mal gefragt wurde.
    Wie kann ich das SC plugin installieren?

    Ich habe bis jetzt keine Anleitung gefunden die über die Installaion ging, ich bin was linux angeht Anfänger.

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    funktioniert das bei euch?

    ich habe noch eine Anleitung gefunden.

    [all variants] HTPC DVB-S2 VDR 1.7.5 CCcam Howto - Page 27 - Ubuntu Forums

    leider bleibe ich da bei folgendem Befehl hängen

    kann mir jemand sagen wie ich da weiter komme

    Anleitung nr 3

    Elvis (VDR-plugin) and SC compiled to YaVDR 0.3 & VDR 1.7.16 « VDR, IPhone, IPad + other fun stuff :)

    schlägt leider fehl wegen Paketabhängigkeiten.

    Welche Anleitung habt ihr genutzt, bzw. wie habt ihr das plugin installiert?
     
    Zuletzt von einem Moderator bearbeitet: 19. November 2011
    #1
  2. phantom

    Nervigen User Advertisement

  3. HALLO01
    Offline

    HALLO01 Ist gelegentlich hier

    Registriert:
    2. Mai 2011
    Beiträge:
    91
    Zustimmungen:
    5
    Punkte für Erfolge:
    8
    AW: sc plugin unter yavdr installieren

    im vdr-wiki findest du wie man allgemein plugins installiert:

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    Du must aber vorher die sourcen des VDRs kompilieren, bevor du ein plugin kompilieren willst.

    die sourcen des sc plugins findest du im hg repository - den link dazu findest du hier im forum.
     
    #2
  4. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    AW: sc plugin unter yavdr installieren

    Kann ich den link auf dieser seite nehmen
    // matt lackey
    ist das, das richtige sc plugin?

    Wie funktioniert das mit dem vdr kompilieren?

    Gibt es irgendwo eine komplett Anleitung?

    Wie gesagt, bin Anfänger was linux betrifft
     
    Zuletzt von einem Moderator bearbeitet: 19. November 2011
    #3
  5. ako004
    Offline

    ako004 Ist gelegentlich hier

    Registriert:
    8. Juli 2011
    Beiträge:
    50
    Zustimmungen:
    13
    Punkte für Erfolge:
    0
    AW: sc plugin unter yavdr installieren

    Hallo,
    hier gibt es eine Anleitung für die 0.4 pre1 die funktioniert.

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?


    Bei der 0.3 habe ich es nicht 100% zu laufen gebacht. Z.b. musste ich nach dem booten den vdr noch einmal starten damit sc läuft, das hat wohl damit zu tun das sc noch nicht bereit ist wenn der vdr gestartet wird. Es gabe einige mit dem Problem, und ich kennen keinen workaround dazu.
    Also vielleicht wartest du noch ein bischen auf die 0.4.
     
    #4
  6. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    AW: sc plugin unter yavdr installieren

    Hast du in der
    vi /etc/vdr/plugins/order.conf

    die Reihenfolge geändert

    sc
    firstplugin
    secondplugin
    -thirdplugin
    -fourthplugin

    dadurch wird das sc plugin als erstes plugin geladen
     
    #5
  7. ako004
    Offline

    ako004 Ist gelegentlich hier

    Registriert:
    8. Juli 2011
    Beiträge:
    50
    Zustimmungen:
    13
    Punkte für Erfolge:
    0
    AW: sc plugin unter yavdr installieren

    Ja, trotzdem funktionierte es nicht mit der 0.3
     
    Zuletzt von einem Moderator bearbeitet: 20. September 2011
    #6
  8. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    es gibt aber genug bei denen es läuft, von daher muss es ja irgendwie gehen.

    Ich werde mich gleich mal da dran geben und hoffe das ich es installiert bekomme.

    Welche Pakete hast du denn für die 0.3 Version genommen?
     
    Zuletzt von einem Moderator bearbeitet: 20. September 2011
    #7
  9. ako004
    Offline

    ako004 Ist gelegentlich hier

    Registriert:
    8. Juli 2011
    Beiträge:
    50
    Zustimmungen:
    13
    Punkte für Erfolge:
    0
    #8
  10. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    ich finde dort keine pakete zum download.

    Und alle die ich bis jetzt gefunden habe, haben probleme mit abhängigkeiten
    zb. // matt lackey

    Warum kommt es zu diesen Paketabhängigkeiten wenn ich doch was neu kompilieren will.

    Verstehe ich nicht.

    ich bekomme es nicht hin, immer das gleiche Problem mit den abhängigkeiten.

    Welche Pakte soll ich nehmen damt ich es unter yavdr 0.3 installeren kann?

    Ich bekomme es nicht hin.

    ich bin nach der Anleitung von dir vorgegangen

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    Ich bekomme dort folgende Fehlermeldung

    dpkg-buildpackage: Warnung: verwende ein root-werde-Befehl obwohl bereits root
    dpkg-buildpackage: setze CFLAGS auf Standardwert: -g -O2
    dpkg-buildpackage: setze CPPFLAGS auf Standardwert:
    dpkg-buildpackage: setze LDFLAGS auf Standardwert: -Wl,-Bsymbolic-functions
    dpkg-buildpackage: setze FFLAGS auf Standardwert: -g -O2
    dpkg-buildpackage: setze CXXFLAGS auf Standardwert: -g -O2
    dpkg-buildpackage: Quellpaket vdr-plugin-sc
    dpkg-buildpackage: Quellversion 1.0.0+hg20110429-5~natty
    dpkg-buildpackage: Quellen geändert durch Best Friend <bPL3F1LMOotJ@mail.com>
    dpkg-buildpackage: Host-Architektur i386
    dpkg-checkbuilddeps: Nicht erfüllte Bauabhängigkeiten: vdr-dev (>= 1.7.17)
    dpkg-buildpackage: Warnung: Bauabhängigkeiten/-konflikte nicht erfüllt; Abbruch
    dpkg-buildpackage: Warnung: (Verwenden Sie -d, um sich darüber hinwegzusetzen.)
    neo@kino:/usr/local/src/vdr-plugin-sc-1.0.0+hg20110429$

    muss ich andere Pakete nehmen?
     
    Zuletzt von einem Moderator bearbeitet: 19. November 2011
    #9
  11. chrispri
    Offline

    chrispri Newbie

    Registriert:
    9. August 2010
    Beiträge:
    19
    Zustimmungen:
    0
    Punkte für Erfolge:
    1
    AW: sc plugin unter yavdr installieren

    wieso nimmst du nicht was fertiges!?!?

    Elvis (VDR-plugin) and SC compiled to YaVDR 0.3 & VDR 1.7.16 « VDR, IPhone, IPad + other fun stuff :)
     
    Zuletzt von einem Moderator bearbeitet: 19. November 2011
    #10
  12. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    Das funktioniert leider nicht, das habe ich schon ausprobiert. Ich habe wohl eine andere VDR Version.

    Seit der letzen Fehlermeldung 1.7.17 oder größer. So genau weiß ich nicht

    ich habe jetzt im web nachgesehen da steht folgendes

    vdr 1.7.16-8yavdr5 Video Disk Recorder for DVB cards
    vdr-addon-acpiwakeup 0.0.10-1gda1 Addon that enables vdr to wakeup itself usin
    vdr-addon-lifeguard 0.0.4 Check whether VDR should shutdown the machin
    vdr-addon-noad 0.7.2-3yavdr1 VDR-Addon to automatically mark advertisemen
    vdr-dev 1.7.16-24yavdr1 Video Disk Recorder for DVB cards
    vdr-genindex 0.1.3-1ubuntu1 Tool to generate a VDR index file
    vdr-plugin-channellists 0.0.4-14yavdr1 A VDR Plugin to manage your Channellists
    vdr-plugin-control 0.0.2a-55yavdr1 Plugin to control vdr OSD by console or teln
    vdr-plugin-dummydevice 1.0.2-30yavdr1 VDR plugin that emulates a dvb output device
    vdr-plugin-epgsearch 0.9.25.beta17-8yavdr1 VDR plugin that provides extensive EPG searc
    vdr-plugin-extrecmenu 1.2+git20100901-8yavdr1 Plugin for vdr for an enhanced recordings me
    vdr-plugin-femon 1.7.7-12yavdr1 DVB frontend status monitor plugin for VDR
    vdr-plugin-graphtft 0.3.2~rc2+svn20100331.2200-13yavdr1 GraphTFT Plugin for VDR
    vdr-plugin-iptv 0.4.2-8yavdr2 IPTV plug-in for VDR
    vdr-plugin-live 0.2.0.99+cvs20100623.0904-10yavdr2 Web administration plugin for VDR
    vdr-plugin-menuorg 0.4.4-17yavdr1 A VDR plug-in to reorganize the OSD main men
    vdr-plugin-streamdev-server 0.5.0+cvs20100804-2yavdr1 VDR Plugin to stream Live-TV to other VDR's
    vdr-plugin-text2skin 1.3.1-7yavdr1 Plugin to vdr that loads and views skins
    vdr-plugin-vnsiserver 0.0.2+svn20100808.0952-7yavdr1 VDR-Network-Streaming-Interface
    vdr-plugin-wirbelscan 0.0.5-1yavdr3 Channelscan plugin for VDR
    vdr-plugin-xine 0.9.3-18yavdr1 Plugin for "software only" playback using xi
    vdr-plugin-xineliboutput 1.0.6+cvs20100913.2030-6yavdr1 VDR plugin for Xine based sofdevice frontend
    vdr-skin-pearlhd 0.0.10~git20100110-1tvt2 PearlHD Skin for VDR's text2skin plugin
    vdr-skins-anthra 20100904-1yavdr1 Anthra Skins for VDR's text2skin plugin
    vdr-skins-speciallogos 0.2gda1 Special channel logos for text2skin skins
    vdr-tft-anthraize 0.0.1~svn201010151744-1yavdr3 Izemans Anthra theme for the GraphTFT plugin
    vdr-tft-pearlhd 0.3.1-5yavdr1 PearlHD theme for the GraphTFT plugin
    vdr-tft-standard 0.0.7-3gda1 Standard theme for the GraphTFT plugin
    vdr-xpmlogos 0.0.1-3gda1 Channel logos in xpm format
    vdrsymbols-ttf 20080905-6tvt1 VDRSymbols font
     
    Zuletzt von einem Moderator bearbeitet: 20. September 2011
    #11
  13. tecfreak
    Offline

    tecfreak Hacker

    Registriert:
    13. September 2010
    Beiträge:
    418
    Zustimmungen:
    128
    Punkte für Erfolge:
    43
    AW: sc plugin unter yavdr installieren

    Wenn du dich noch ein paar Tage gedulden kannst - ich habe vor mal ein aktualisiertes vdr-sc Template für debian-basierte Systeme zu erstellen zum Bauen eigener vdr-sc-plugin deb-Pakete inkl. Schritt für Schritt Anleitung.

    Von Fertigkompilaten halte ich nix, da der FFdeCSA-Teil immer auf die eigene CPU abgestimmt sein sollte.

    Außerdem brauchst du den vdr auch nie neu zu kompilieren wie hier des öfteren zu lesen ist. Da reicht es das vdr-dev package (header-files) zu installieren um Plugins für den vdr kompilieren zu können - von weiteren Abhängigkeiten jetzt mal abgesehen.
     
    #12
  14. fritz0
    Offline

    fritz0 Ist oft hier

    Registriert:
    5. März 2010
    Beiträge:
    121
    Zustimmungen:
    7
    Punkte für Erfolge:
    18
    AW: sc plugin unter yavdr installieren

    das klingt sehr gut...
    wie erfahre ich davon, wenn es soweit ist?
     
    #13
  15. tante_kaethe
    Offline

    tante_kaethe Newbie

    Registriert:
    4. Mai 2008
    Beiträge:
    17
    Zustimmungen:
    1
    Punkte für Erfolge:
    3
    AW: sc plugin unter yavdr installieren

    Wird die Anleitung auch für 64bit-System gehen?

    gruß tante_kaethe
     
    #14
  16. tecfreak
    Offline

    tecfreak Hacker

    Registriert:
    13. September 2010
    Beiträge:
    418
    Zustimmungen:
    128
    Punkte für Erfolge:
    43
    AW: sc plugin unter yavdr installieren

    Ja wird sie, aber mit der Zeit sieht es aktuell knapp aus.
    Die erste Etappe ist jedoch schonmal geschafft (siehe Post:

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?

    )
    Dies muss jetzt nur noch um einen "Patch-Generator" erweitert werden und in ein debian package template rein.

    Geduld, Geduld...

    ...oder selber mal versuchen mit dem folgenden Template:

    Code:
    apt-get install build-essential vdr-dev dpatch libssl-dev fakeroot mercurial cdbs libbz2-dev
    cd /usr/local/src
    wget https://launchpad.net/~bpl3f1lmootj/+archive/yavdr-testing/+files/vdr-plugin-sc_1.0.0%2Bhg20110429-5%7Enatty.dsc
    wget https://launchpad.net/~bpl3f1lmootj/+archive/yavdr-testing/+files/vdr-plugin-sc_1.0.0%2Bhg20110429-5%7Enatty.debian.tar.gz
    wget https://launchpad.net/~bpl3f1lmootj/+archive/yavdr-testing/+files/vdr-plugin-sc_1.0.0%2Bhg20110429.orig.tar.gz
    
    dpkg-source -x vdr-plugin-sc_1.0.0+hg20110429-5~natty.dsc
    cd vdr-plugin-sc_1.0.0+hg20110429-5~natty
    
    debian/rules update
    Das oben genannte script nutzen und nach den Vorgaben das Makefile anpassen.
    Anschließend das Paket bauen:
    Code:
    dpkg-buildpackage -us -uc -b
    cd ..
    ls -l | grep *.deb
    VDR-SC und die gewünschten module wie cardclient etc. installieren.

    Diese kurze Anleitung kann Fehler enthalten und wurde nicht getestet.
    Soll nur eine Hilfestellung für die "ungeduldigen" sein :)

    ...oder mal hier schauen:

    Dieser Link ist nur für Mitglieder!!! Jetzt kostenlos Registrieren ?



    Wer es selber nicht hinbekommt bitte einfach noch etwas warten und keine Fragen zu diesem Quick&Dirty "HowTo".
     
    Zuletzt bearbeitet: 19. September 2011
    #15

Diese Seite empfehlen